Upload Provider Document
curl --request POST \
--url https://bptest.mapleai.cc/api/ecosystem/providers/{provider_id}/documents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file=@example-fileimport requests
url = "https://bptest.mapleai.cc/api/ecosystem/providers/{provider_id}/documents"
files = { "file": ("example-file", open("example-file", "rb")) }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://bptest.mapleai.cc/api/ecosystem/providers/{provider_id}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"code": 0,
"message": "操作成功",
"data": {
"category": "honor",
"name": "<string>",
"id": "<string>",
"issuer": "<string>",
"number": "<string>",
"uploaded_at": "2023-12-25",
"file_name": "<string>",
"content_type": "<string>",
"size_bytes": 1,
"download_url": "<string>"
},
"timestamp": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}生态资源 / Ecosystem
Upload Provider Document
POST
/
api
/
ecosystem
/
providers
/
{provider_id}
/
documents
Upload Provider Document
curl --request POST \
--url https://bptest.mapleai.cc/api/ecosystem/providers/{provider_id}/documents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file=@example-fileimport requests
url = "https://bptest.mapleai.cc/api/ecosystem/providers/{provider_id}/documents"
files = { "file": ("example-file", open("example-file", "rb")) }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://bptest.mapleai.cc/api/ecosystem/providers/{provider_id}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"code": 0,
"message": "操作成功",
"data": {
"category": "honor",
"name": "<string>",
"id": "<string>",
"issuer": "<string>",
"number": "<string>",
"uploaded_at": "2023-12-25",
"file_name": "<string>",
"content_type": "<string>",
"size_bytes": 1,
"download_url": "<string>"
},
"timestamp": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}